Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.domino
Class SenderInfo

    java.lang.Object
      com.compoze.domino.SenderInfo

All Implemented Interfaces:
  java.io.Serializable

public class SenderInfo
extends java.lang.Object
implements java.io.Serializable

This class stores summary information about the sender of a memo.

See Also:
  Serialized Form

Method Summary
`boolean` | `equals(java.lang.Object obj)` Indicates whether some other object is "equal to" this sender.
`java.lang.String` | `getAddress()` Gets the address of the address entry.
`java.lang.String` | `getDisplayAddress()` Gets the display address of the address entry.
`java.lang.String` | `getName()` Gets the display name of the address entry.
`java.lang.String` | `toString()` Returns the string representation of the object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getName

    public java.lang.String getName()

  Gets the display name of the address entry.

  Returns:
    the name

### getAddress

    public java.lang.String getAddress()

  Gets the address of the address entry.

  Returns:
    the address

### getDisplayAddress

    public java.lang.String getDisplayAddress()

  Gets the display address of the address entry. The display address is in the format `Joe Smith <joe.smith@company.com>`.

  Returns:
    the display address

### equals

    public boolean equals(java.lang.Object obj)

  Indicates whether some other object is "equal to" this sender. SenderInfo is considered equal to either a `String` object if the string equals the address or a `SenderInfo` object if the address matches `(SenderInfo)obj.getAddress()`. If a `String` object is given, a common name comparison is done if only the sender common name is known.

  Parameters:
    `obj` - the reference object with which to compare
  Returns:
    `true` if this object is the same as the obj argument; `false` otherwise

### toString

    public java.lang.String toString()

  Returns the string representation of the object.

  Returns:
    the string representation of the object

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.